<?php
/**
 * /subs/parts/_backend.php
 * @version 1.3
 * @desc News page backend
 * @author Fándly Gergő Zoltán (gergo@systemtest.tk, systemtest.tk)
 * @copy 2018 Fándly Gergő Zoltán
 * License:
    Systemtest.tk website's.
    Copyright (C) 2018  Fándly Gergő Zoltán

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 **/

if(isset($_GET['news_offset']) && isset($_GET['news_limit'])){
    $sql=$db->prepare("SELECT n.id, u.fullname AS owner, n.date, n.subject_".$langcode." AS subject, n.content_".$langcode." AS content FROM news AS n INNER JOIN users AS u ON (u.id=n.owner) WHERE published=1 and n.subject_".$langcode."<>'' ORDER BY n.date DESC LIMIT :lim OFFSET :off");
    $sql->execute(array(":lim"=>$_GET['news_limit'], ":off"=>$_GET['news_offset']));
    
    $news=array();
    
    while($res=$sql->fetch(PDO::FETCH_ASSOC)){
        array_push($news, json_encode($res));
    }
    
    echo json_encode($news);
}
